package com.tofly.watermeter.em;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author FlashWJL
 * @date 2022/2/28 14:27
 */
@Getter
@AllArgsConstructor
public enum ReadStatiscEnum {
    NO_READ("0","未抄表"),
    YET_READ("1","已抄表"),
    SHOULE_READ("2","应抄表总数"),
    ON_READ("3","在线抄表"),
    OFFINE_READ("4","离线抄表"),
    TIME_READ("5","按时抄表"),
    OVER_READ("6","超时抄表"),
    BREADK_READ("7","故障抄表"),
    EXACT_READ("8","准确抄表"),
    POSITIVE_READ("9","正值"),
    MINUX_READ("10","负值"),
    EQUAL_READ("11","等值"),
    ;
    @ApiModelProperty(value = "0：未抄表，1：已抄表(实抄，已抄总数)，2：应抄(应抄表总数)，3：在线抄表，4：离线抄表，5：按时抄表，6：超时抄表，7：故障抄表，8：准确抄表，9：正值；10：负值；11：等值")
    private String code;
    @ApiModelProperty(value = "0：未抄表，1：已抄表(实抄，已抄总数)，2：应抄(应抄表总数)，3：在线抄表，4：离线抄表，5：按时抄表，6：超时抄表，7：故障抄表，8：准确抄表，9：正值；10负值；11：等值")
    private String describe;




}
